Bug 1277077 - HTML character codes present in tool tip of "Edit My Company Tags for selected tenant"
HTML character codes present in tool tip of "Edit My Company Tags for selecte...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.5.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.5.0
Assigned To: Martin Povolny
Aziza Karol
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 04:36 EST by Aziza Karol
Modified: 2015-12-08 08:42 EST (History)
7 users (show)

See Also:
Fixed In Version: 5.5.0.10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-08 08:42:55 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
htmltags (101.62 KB, image/png)
2015-11-02 04:36 EST, Aziza Karol
no flags Details

  None (edit)
Description Aziza Karol 2015-11-02 04:36:26 EST
Created attachment 1088498 [details]
htmltags

Description of problem:


Version-Release number of selected component (if applicable):
5.5.0.8

How reproducible:
100%

Steps to Reproduce:
1.Navigate to configure->configuration->access control->Tenants->select "my company"
2.Hover on "Edit my company tags for selected tenants" in Policy
3.

Actual results:
html tags displayed when you hover on it. see attached screenshot

Expected results:
No html tags

Additional info:
Comment 3 Martin Povolny 2015-11-02 13:15:23 EST
PR: https://github.com/ManageIQ/manageiq/pull/5231
Comment 4 CFME Bot 2015-11-02 14:50:15 EST
New commit detected on ManageIQ/manageiq/master:
https://github.com/ManageIQ/manageiq/commit/4ff5aa74d344c9a3064567bbef55caa0bbc0c45e

commit 4ff5aa74d344c9a3064567bbef55caa0bbc0c45e
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Nov 2 19:07:09 2015 +0100
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Mon Nov 2 19:07:09 2015 +0100

    Toolbars: prevent double-escape of toolbar tooltips.
    
    Remove CGI.escapeHTML to prevent double-escape of toolbar tooltips.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277077

 app/helpers/application_helper/toolbar_builder.rb | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)
Comment 6 CFME Bot 2015-11-05 09:49:43 EST
New commit detected on cfme/5.5.z:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme.git;a=commitdiff;h=ed815495571637973ca790207297352e5e04c756

commit ed815495571637973ca790207297352e5e04c756
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Mon Nov 2 19:07:09 2015 +0100
Commit:     Martin Povolny <mpovolny@redhat.com>
CommitDate: Thu Nov 5 11:10:18 2015 +0100

    Toolbars: prevent double-escape of toolbar tooltips.
    
    Remove CGI.escapeHTML to prevent double-escape of toolbar tooltips.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1277077

 app/helpers/application_helper/toolbar_builder.rb | 18 ++++++++----------
 1 file changed, 8 insertions(+), 10 deletions(-)
Comment 7 Aziza Karol 2015-11-25 06:01:28 EST
No html tags displayed.

Verified:
5.5.0.12-rc2.20151124135609_653c0d4
Comment 9 errata-xmlrpc 2015-12-08 08:42:55 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2015:2551

Note You need to log in before you can comment on or make changes to this bug.